# TimeRocket™ AppointmentsPHPSDK #
PHP SDK for TimeRocket™ Appointments REST API

[https://app.appointments.timerocket.com/docs](https://app.appointments.timerocket.com/docs)

## How to use ##

### Composer ###
Add the dependency to your composer.json

    "require": {
        "... other libraries": "... other version",
        "timerocket/appointments-sdk":"dev-master"
    }

Add the repository to your composer.json

    "repositories": [
          {
            "type": "vcs",
            "url": "https://github.com/TimeRocket/AppointmentsPHPSDK"
          }
        ]

Update composer on the command line

    composer update

After you have it installed you can start using the service like so

        AppointmentsSDK::initService(' your api key here ');

To obtain an API key please contact Josh Woodcock at josh.woodcock@appointments.timerocket.com

### For http requests that require user authentication details ###

		AppointmentsSDK::getService()->setPlainTextCredentials(1, ' Your password here ');

## How to contribute ##

If you are contributing to the project you will need to run this command

    git update-index --assume-unchanged tests/test_config.php

Then put your TESTING API key in tests/test_config.php. DO NOT put your live api key here!

    $appointments_api_config = array();

    $appointments_api_config['api_key'] = ' api key goes here ';
    $appointments_api_config['server']  = '';

## License

TimeRocket™ Appointments PHP SDK is released under the MIT license. See LICENSE for details.